﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using TMPro;
using DG.Tweening;

public class EndScreen : MonoBehaviour {
	static EndScreen instance;


	public TextMeshPro scoreTMP;
	public TextMeshPro highScoreTMP;

	// Use this for initialization
	void Start () {
		instance = this;
	}
	
	// Update is called once per frame
	void Update () {
		
	}

	public static void SetScores(float score, float highScore)
	{
		instance.scoreTMP.text = score + "zł";
		instance.highScoreTMP.text = highScore + "zł";
		instance.transform.DOMoveY (0.0f, 0.3f, true).SetEase(Ease.OutCubic);

		Vector3 scoreOrigScale = instance.scoreTMP.transform.localScale;
		Sequence seqScore = DOTween.Sequence ();
		seqScore.Append (instance.scoreTMP.transform.DOScale (scoreOrigScale * 1.3f, 1.0f).SetEase (Ease.InOutSine));
		seqScore.Append (instance.scoreTMP.transform.DOScale (scoreOrigScale, 1.0f).SetEase (Ease.InOutSine));
		seqScore.SetLoops (1000000, LoopType.Restart);

		Vector3 hsStartRot = instance.highScoreTMP.transform.localRotation.eulerAngles;
		hsStartRot.z -= 10.0f;
		instance.highScoreTMP.transform.localRotation = Quaternion.Euler(hsStartRot);
		Vector3 hsEndRot = hsStartRot;
		hsEndRot.z += 10.0f;
		Sequence seqHS = DOTween.Sequence();
		seqHS.Append(instance.highScoreTMP.transform.DORotate(hsEndRot, 1.7f).SetEase(Ease.InOutSine));
		seqHS.Append(instance.highScoreTMP.transform.DORotate(hsStartRot, 1.7f).SetEase(Ease.InOutSine));
		seqHS.SetLoops (1000000, LoopType.Restart);
	}
}
