﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using DG.Tweening;

public class ExplodeAnimController : MonoBehaviour {
	public static ExplodeAnimController Instance;
	public List<Sprite> anim = new List<Sprite>();
	int currentFrameID = 0;
	SpriteRenderer spriteRenderer;
	public SpriteRenderer flash;

	bool playing = false;
	// Use this for initialization
	void Start () {
		Instance = this;
		spriteRenderer = GetComponent<SpriteRenderer> ();
	}
	
	// Update is called once per frame
	void Update () {
		spriteRenderer.sprite = anim [currentFrameID];

		if (currentFrameID == 0)
			spriteRenderer.enabled = false;
		else
			spriteRenderer.enabled = true;

		if (playing) {
			currentFrameID += 5;
			if (currentFrameID >= anim.Count) {
				currentFrameID = anim.Count - 1;
				playing = false;
				spriteRenderer.DOColor (new Color (1, 1, 1, 0), 6.0f).SetEase (Ease.OutExpo);
				spriteRenderer.transform.DOLocalMoveY (spriteRenderer.transform.localPosition.y - 4.0f, 4.0f).SetEase (Ease.OutCubic);
			}
		}
	}

	public void PlayAnimation(){
		currentFrameID = 0;
		playing = true;
		spriteRenderer.color = Color.white;

		Sequence chuj = DOTween.Sequence ();
		chuj.AppendInterval (0.05f).AppendCallback (() => {
			Camera.main.transform.position = new Vector3 (0, 0, -10);
			Camera.main.transform.DOShakePosition (0.4f, 1.8f, 20, 90, false, true).SetEase(Ease.InExpo);
			flash.color = Color.white;
//			OverlayTextManager.Instance.SpawnGowno();
			flash.DOColor (new Color (1, 1, 1, 0), 1.0f);

			Termometer.Shake();
			Timer.Shake();
		});



		transform.localPosition = Vector3.zero;
	}
}
