﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using DG.Tweening;

public class LightController : MonoBehaviour {

	static public LightController instance = null;
	public Light light = null;

	bool isActive = false;
	Sequence sequence1 = null;
	Sequence sequence2 = null;

	// Use this for initialization
	void Start () {
		instance = this;
	}
	
	// Update is called once per frame
	void Update () {
		
	}

	public static void SetActive(bool active)
	{
		if (instance.isActive == active)
			return;
		
		instance.isActive = active;

		if (instance.sequence1 != null) {
			instance.sequence1.Kill ();
			instance.sequence1 = null;
		}
		if (instance.sequence2 != null) {
			instance.sequence2.Kill ();
			instance.sequence2 = null;
		}
		instance.GetComponent<SpriteRenderer> ().DOKill ();
		instance.light.DOKill ();

		if (active) {
			instance.light.intensity = 1.1f;
			instance.sequence1 = DOTween.Sequence ();
			instance.sequence2 = DOTween.Sequence ();
			for (int i = 0; i < 10; ++i) {
				float randomProg = Random.Range (0.0f, 1.0f);
				float randomTime = Random.Range (0.0f, 0.3f);
				instance.sequence1.Append (instance.GetComponent<SpriteRenderer> ().DOFade (0.5f + 0.5f * randomProg, randomTime));
				instance.sequence2.Append (instance.light.DOIntensity (1.0f + 0.3f * randomProg, randomTime));
			}
			instance.sequence1.SetLoops (100000);
			instance.sequence2.SetLoops (100000);
		} else {
			instance.GetComponent<SpriteRenderer> ().DOFade (0.0f, 0.3f).SetEase (Ease.OutSine);
			instance.light.DOIntensity(1.0f, 0.3f).SetEase(Ease.OutSine);
		}
	}
}
