﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class TargetController : MonoBehaviour {
	public float TargetFrequency = 0;
	private float currentTargetValue = 0;
	// Use this for initialization
	public static TargetController Instance;
	private LineRenderer line;
	void Awake(){
		Instance = this;
	}

	public static void SetTargetFrequency(float target){
		Instance.TargetFrequency = target;
	}

	void Start () {
		line = GetComponent<LineRenderer> ();
	}

	// Update is called once per frame
	void Update () {
		currentTargetValue += (TargetFrequency - currentTargetValue) / 5.0f;
		RefreshVizualization();
	}

	void RefreshVizualization(){

		for (int i = 0; i < line.numPositions; i++) {
			int maxpaxhaxyo = line.numPositions;
			int i2 = (int)Mathf.Clamp(0, line.numPositions , i * 1.0f);
			float howMiddle = ((float)maxpaxhaxyo / 2.0f - Mathf.Abs(((float)i2 - (float)maxpaxhaxyo / 2.0f))) / ((float)maxpaxhaxyo / 2.0f);
			howMiddle = 1.0f;
			line.SetPosition (i, new Vector3 (
				Mathf.Lerp(-10, 10, (float)i / (float)line.numPositions), 
				Mathf.Sin((float)i / (float)line.numPositions * currentTargetValue / 10.0f + MicControl.offset) * 0.001f * 5000.0f * howMiddle, 
				0.0f));
		}
	}
}
