﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using DG.Tweening;

public class Termometer : MonoBehaviour {

	public GameObject pivot;
	public GameObject cluePivot;
	public Renderer lockRenderer;

	float minRotation = 120.0f;
	float maxRotation = -136.0f;
	float currentProgress = 0.0f;
	float currentRotation = 120.0f;

	static Termometer instance = null;

	// Use this for initialization
	void Start () {
		instance = this;
		lockRenderer.enabled = false;
	}

	// Update is called once per frame
	void Update () {
		Vector3 rot = new Vector3 (0, 0, currentRotation + Random.Range(-1.0f, 1.0f));
		if (float.Equals(rot.z, 1.0f))
			rot.z = 0.98f;

		if(float.Equals(rot.z, 0.0f)){
			rot.z = 0.01f;
		}

		try{
			cluePivot.transform.localRotation = Quaternion.Euler (rot);
		} catch(System.Exception ex){
		}
	}

	public static void SetProgress(float progress)
	{
		instance.currentProgress = progress;
		instance.currentRotation = instance.minRotation + progress * (instance.maxRotation - instance.minRotation);
	}

	public static void SetLocked(bool locked)
	{
		instance.lockRenderer.enabled = locked;
	}

	static public void Shake()
	{
		instance.pivot.transform.DOComplete ();
		instance.pivot.transform.DOShakeRotation(1.0f, new Vector3(0.0f, 0.0f, 30.0f), 10);
	}
}
